Pattern (Jakarta-ORO 2.0.8 API)
Date: 2019-01-01

org.apache.oro.text.regex

## Interface Pattern

- All Known Implementing Classes:
    AwkPattern, Perl5Pattern

      public interface Pattern

  The Pattern interface allows multiple representations of a regular expression to be defined. In general, different regular expression compilers will produce different types of pattern representations. Some will produce state transition tables derived from syntax trees, others will produce byte code representations of an NFA, etc. The Pattern interface does not impose any specific internal pattern representation, and consequently, Pattern implementations are not meant to be interchangeable among differing PatternCompiler and PatternMatcher implementations. The documentation accompanying a specific implementation will define what other classes a Pattern can interact with.
  Since:
    1.0
  Version:
    2.0.8
  See Also:
    `PatternCompiler`, `PatternMatcher`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOptions()` This method returns an integer containing the compilation options used to compile this pattern.
    `java.lang.String` | `getPattern()` This method returns the string representation of the pattern.

- - ### Method Detail

    - #### getPattern

          java.lang.String getPattern()

      This method returns the string representation of the pattern. Its purpose is to allow a pattern to be reconstructed after compilation. In other words, when you compile a pattern, the resulting data structures bear no relation to the string defining the pattern. It is often useful to be able to access the string defining a pattern after it has been compiled.

      Returns:
        The original string representation of the regular expression pattern.

    - #### getOptions

          int getOptions()

      This method returns an integer containing the compilation options used to compile this pattern.

      Returns:
        The compilation options used to compile the pattern.

Copyright ? 2000-2003 Apache Software Foundation. All Rights Reserved.